/* $Id: ledpwm.h,v 1.4 2010/07/25 20:40:44 simimeie Exp $
 * Functions for led brightness control via PWM (pulse width modulation).
 */

#ifndef _LEDPWM_H_
#define _LEDPWM_H_

#define LEDPWM_REDLED    0
#define LEDPWM_GREENLED  1
#define LEDPWM_BLUELED   2

extern uint8_t ledpwm_re;
extern uint8_t ledpwm_gr;
extern uint8_t ledpwm_bl;
extern uint8_t ledpwm_bri;

/* Temporary for debugging - these should be internal */
extern volatile uint16_t ledpwm_val[3];
extern volatile uint16_t ledpwm_curoreg;

/* Init PWM (pins and timers) */
void ledpwm_init(void);

/* Set brightness for a certain LED */
void ledpwm_setled(uint8_t led, uint16_t val);

/* Set brightness for all LEDs */
void ledpwm_set(uint8_t red, uint8_t green, uint8_t blue, uint8_t br);

#endif /* _LEDPWM_H_ */
